Debian Bug report logs - #534964
Please enable CONFIG_CGROUP_MEM_RES_CTLR

version graph

Package: linux-2.6; Maintainer for linux-2.6 is Debian Kernel Team <debian-kernel@lists.debian.org>;

Reported by: Yoshito Komatsu <ykomatsu@akaumigame.org>

Date: Sun, 28 Jun 2009 15:09:01 UTC

Severity: wishlist

Tags: moreinfo, patch

Merged with 566727, 571659

Found in versions 2.6.30-1, 2.6.32-9

Fixed in version linux-2.6/2.6.39-1

Done: maximilian attems <maks@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Sun, 28 Jun 2009 15:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yoshito Komatsu <ykomatsu@akaumigame.org>:
New Bug report received and forwarded. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Jun 2009 15:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Yoshito Komatsu <ykomatsu@akaumigame.org>
To: submit@bugs.debian.org
Subject: Please enable CONFIG_CGROUP_MEM_RES_CTLR
Date: Mon, 29 Jun 2009 00:04:27 +0900
Package: linux-2.6
Version: 2.6.30-1

Hello,

Please enable CONFIG_CGROUP_MEM_RES_CTLR option.
Libvirt (LXC container driver) and lxc use this option.

--- debian/config/config.orig	2009-06-28 14:45:12.000000000 +0900
+++ debian/config/config	2009-06-28 14:45:31.988045531 +0900
@@ -2842,7 +2842,8 @@
 CONFIG_CPUSETS=y
 CONFIG_PROC_PID_CPUSET=y
 CONFIG_CGROUP_CPUACCT=y
-# CONFIG_RESOURCE_COUNTERS is not set
+CONFIG_RESOURCE_COUNTERS=y
+CONFIG_CGROUP_MEM_RES_CTLR=y
 # CONFIG_SYSFS_DEPRECATED_V2 is not set
 CONFIG_RELAY=y
 CONFIG_UTS_NS=y

Regards,
-- 
Yoshito Komatsu <ykomatsu@akaumigame.org>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Sun, 28 Jun 2009 16:06:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 28 Jun 2009 16:06:02 GMT) Full text and rfc822 format available.

Message #10 received at 534964@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: Yoshito Komatsu <ykomatsu@akaumigame.org>, 534964@bugs.debian.org
Subject: Re: Bug#534964: Please enable CONFIG_CGROUP_MEM_RES_CTLR
Date: Sun, 28 Jun 2009 18:03:37 +0200
tags 534964 moreinfo
thanks

On Mon, Jun 29, 2009 at 12:04:27AM +0900, Yoshito Komatsu wrote:
> Please enable CONFIG_CGROUP_MEM_RES_CTLR option.

The documentation describes a large amount of overhead for this option.
Please show why this does not produce serious tradeoffs for generic
usage.

Bastian

-- 
But Captain -- the engines can't take this much longer!




Tags added: moreinfo Request was from Bastian Blank <waldi@debian.org> to control@bugs.debian.org. (Sun, 28 Jun 2009 16:06:03 GMT) Full text and rfc822 format available.

Reply sent to ykomatsu@akaumigame.org:
You have taken responsibility. (Thu, 24 Dec 2009 16:49:09 GMT) Full text and rfc822 format available.

Notification sent to Yoshito Komatsu <ykomatsu@akaumigame.org>:
Bug acknowledged by developer. (Thu, 24 Dec 2009 16:49:09 GMT) Full text and rfc822 format available.

Message #17 received at 534964-done@bugs.debian.org (full text, mbox):

From: ykomatsu@akaumigame.org
To: 534964-done@bugs.debian.org
Subject: Re: Bug#534964: Please enable CONFIG_CGROUP_MEM_RES_CTLR
Date: Fri, 25 Dec 2009 01:14:15 +0900
>On Mon, Jun 29, 2009 at 12:04:27AM +0900, Yoshito Komatsu wrote:
>> Please enable CONFIG_CGROUP_MEM_RES_CTLR option.
>
>The documentation describes a large amount of overhead for this option.
>Please show why this does not produce serious tradeoffs for generic
>usage.

Memcg's performance fix seems to be included in 2.6.33
and I close this bug once.

New LXC HOW-TO
https://lists.linux-foundation.org/pipermail/containers/2009-October/021616.html

Thanks,
-- 
Yoshito Komatsu <ykomatsu@akaumigame.org>




Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 28 Dec 2009 18:00:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 28 Dec 2009 18:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Edward Allcutt <emallcut@gleim.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 28 Dec 2009 18:24:03 GMT) Full text and rfc822 format available.

Message #24 received at 534964@bugs.debian.org (full text, mbox):

From: Edward Allcutt <emallcut@gleim.com>
To: control@bugs.debian.org
Cc: ykomatsu@akaumigame.org, 534964@bugs.debian.org
Subject: Re: Bug#534964: marked as done (Please enable CONFIG_CGROUP_MEM_RES_CTLR)
Date: Mon, 28 Dec 2009 12:56:42 -0500 (EST)
reopen 534964
thanks

Please do not close bugs until a package that includes the bug fix enters
the Debian archive. [0] This should usually be achieved by including a note
in the new changelog entry.

[0] - http://www.debian.org/Bugs/Developer#closing

-- 
Edward Allcutt
Network Operations
Gleim Publications




Forcibly Merged 534964 571659. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Wed, 03 Mar 2010 00:39:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 22 Mar 2010 02:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 22 Mar 2010 02:39:03 GMT) Full text and rfc822 format available.

Message #31 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: 534964@bugs.debian.org
Subject: Including memory cgroup support disabled by default
Date: Mon, 22 Mar 2010 02:32:44 +0000
[Message part 1 (text/plain, inline)]
We don't want memory cgroup support to be enabled by default, due to the
run-time overhead.  Below is a patch that allows the code to be included
but disabled by default.  However, memory cgroup support still has some
run-time cost when included but disabled, which we need to evaluate
before making this change.

Ben.

diff --git a/init/Kconfig b/init/Kconfig
index eb4b337..47b2dcf 100644
--- a/init/Kconfig
+++ b/init/Kconfig
@@ -579,6 +579,14 @@ config CGROUP_MEM_RES_CTLR
 	  This config option also selects MM_OWNER config option, which
 	  could in turn add some fork/exit overhead.
 
+config CGROUP_MEM_RES_CTLR_DISABLED
+	bool "Memory Resource Controller disabled by default"
+	depends on CGROUP_MEM_RES_CTLR
+	default n
+	help
+	  Disable the memory group resource controller unless explicitly
+	  enabled using the kernel parameter "cgroup_enable=memory".
+
 config CGROUP_MEM_RES_CTLR_SWAP
 	bool "Memory Resource Controller Swap Extension(EXPERIMENTAL)"
 	depends on CGROUP_MEM_RES_CTLR && SWAP && EXPERIMENTAL
diff --git a/kernel/cgroup.c b/kernel/cgroup.c
index 1fbcc74..4f6be6c 100644
--- a/kernel/cgroup.c
+++ b/kernel/cgroup.c
@@ -3791,7 +3791,7 @@ static void cgroup_release_agent(struct work_struct *work)
 	mutex_unlock(&cgroup_mutex);
 }
 
-static int __init cgroup_disable(char *str)
+static int __init cgroup_set_disabled(char *str, int value)
 {
 	int i;
 	char *token;
@@ -3804,17 +3804,29 @@ static int __init cgroup_disable(char *str)
 			struct cgroup_subsys *ss = subsys[i];
 
 			if (!strcmp(token, ss->name)) {
-				ss->disabled = 1;
-				printk(KERN_INFO "Disabling %s control group"
-					" subsystem\n", ss->name);
+				ss->disabled = value;
+				printk(KERN_INFO
+				       "%sabling %s control group subsystem\n",
+				       value ? "Dis" : "En", ss->name);
 				break;
 			}
 		}
 	}
 	return 1;
 }
+
+static int __init cgroup_disable(char *str)
+{
+	cgroup_set_disabled(str, 1);
+}
 __setup("cgroup_disable=", cgroup_disable);
 
+static int __init cgroup_enable(char *str)
+{
+	cgroup_set_disabled(str, 0);
+}
+__setup("cgroup_enable=", cgroup_enable);
+
 /*
  * Functons for CSS ID.
  */
diff --git a/mm/memcontrol.c b/mm/memcontrol.c
index 66035bf..58897ce 100644
--- a/mm/memcontrol.c
+++ b/mm/memcontrol.c
@@ -3184,6 +3184,9 @@ static void mem_cgroup_move_task(struct cgroup_subsys *ss,
 
 struct cgroup_subsys mem_cgroup_subsys = {
 	.name = "memory",
+#ifdef CONFIG_CGROUP_MEM_RES_CTLR_DISABLED
+	.disabled = 1,
+#endif
 	.subsys_id = mem_cgroup_subsys_id,
 	.create = mem_cgroup_create,
 	.pre_destroy = mem_cgroup_pre_destroy,
--- END ---

-- 
Ben Hutchings
If you seem to know what you are doing, you'll be given more to do.
[signature.asc (application/pgp-signature, inline)]

Added tag(s) patch. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Mon, 22 Mar 2010 02:39:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Sun, 30 May 2010 17:36:19 GMT) Full text and rfc822 format available.

Acknowledgement sent to Moritz Muehlenhoff <jmm@inutil.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 May 2010 17:36:19 GMT) Full text and rfc822 format available.

Message #38 received at 534964@bugs.debian.org (full text, mbox):

From: Moritz Muehlenhoff <jmm@inutil.org>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 534964@bugs.debian.org
Subject: Re: Including memory cgroup support disabled by default
Date: Sun, 30 May 2010 19:35:08 +0200
On Mon, Mar 22, 2010 at 02:32:44AM +0000, Ben Hutchings wrote:
> We don't want memory cgroup support to be enabled by default, due to the
> run-time overhead.  Below is a patch that allows the code to be included
> but disabled by default.  However, memory cgroup support still has some
> run-time cost when included but disabled, which we need to evaluate
> before making this change.

Did you submit this upstream?

Cheers,
        Moritz




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Sun, 30 May 2010 21:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sun, 30 May 2010 21:33:06 GMT) Full text and rfc822 format available.

Message #43 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Moritz Muehlenhoff <jmm@inutil.org>
Cc: 534964@bugs.debian.org
Subject: Re: Including memory cgroup support disabled by default
Date: Sun, 30 May 2010 22:31:23 +0100
[Message part 1 (text/plain, inline)]
On Sun, 2010-05-30 at 19:35 +0200, Moritz Muehlenhoff wrote:
> On Mon, Mar 22, 2010 at 02:32:44AM +0000, Ben Hutchings wrote:
> > We don't want memory cgroup support to be enabled by default, due to the
> > run-time overhead.  Below is a patch that allows the code to be included
> > but disabled by default.  However, memory cgroup support still has some
> > run-time cost when included but disabled, which we need to evaluate
> > before making this change.
> 
> Did you submit this upstream?

No, and I'm not sure it is suitable for upstream as enabling memory
cgroups is said to have less of a performance cost.  Note that we don't
apply this yet, anyway.

I'm going to run some more tests to find the performance cost of
including them disabled-by-default.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Tue, 13 Jul 2010 08:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Rik Theys <Rik.Theys@esat.kuleuven.be>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 13 Jul 2010 08:39:03 GMT) Full text and rfc822 format available.

Message #48 received at 534964@bugs.debian.org (full text, mbox):

From: Rik Theys <Rik.Theys@esat.kuleuven.be>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 534964@bugs.debian.org
Subject: Re: Including memory cgroup support disabled by default
Date: Tue, 13 Jul 2010 10:12:18 +0200
Hi,

Did you find the time to run tests to find the performance cost of 
enabling the feature (disabled-by-default)?

Google [1] shows some low overhead patches for the memory controller, 
but I don't know if they have been merged.

[1] http://lkml.org/lkml/2009/6/15/12

Regards,

Rik

-- 
Rik Theys
Senior System Engineer
KU Leuven - Dept. Elektrotechniek (ESAT)
Kasteelpark Arenberg 10
B-3001 LEUVEN - HEVERLEE
Tel.: +32(0)16/32.11.07
----------------------------------------------------------------
<<Any errors in spelling, tact or fact are transmission errors>>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Sat, 17 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Sat, 17 Jul 2010 16:18:03 GMT) Full text and rfc822 format available.

Message #53 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: Rik Theys <Rik.Theys@esat.kuleuven.be>
Cc: 534964@bugs.debian.org
Subject: Re: Including memory cgroup support disabled by default
Date: Sat, 17 Jul 2010 17:14:03 +0100
[Message part 1 (text/plain, inline)]
On Tue, 2010-07-13 at 10:12 +0200, Rik Theys wrote:
> Hi,
> 
> Did you find the time to run tests to find the performance cost of 
> enabling the feature (disabled-by-default)?
[...]

Sorry, not yet.  So far, every time I tried to do a speed test it on my
laptop the processor got hot enough that it throttled back its clock
frequency.  This made the results unreliable.  I need to either ensure
that it has enough air flow that it doesn't throttle, or fix the clock
frequency at minimum, when re-testing.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Thu, 14 Oct 2010 21:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guido Günther <agx@sigxcpu.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 14 Oct 2010 21:15:03 GMT) Full text and rfc822 format available.

Message #58 received at 534964@bugs.debian.org (full text, mbox):

From: Guido Günther <agx@sigxcpu.org>
To: 534964@bugs.debian.org
Subject: libvirt's lxc containers would like to use this too
Date: Thu, 14 Oct 2010 23:11:47 +0200
Hi,
thanks for considering enabling memory control for cgroups. Libvirt
would happily use this too (#566180))
Cheers,
 -- Guido




Forcibly Merged 534964 566727 571659. Request was from Ben Hutchings <ben@decadent.org.uk> to control@bugs.debian.org. (Sat, 12 Mar 2011 20:39:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Tue, 22 Mar 2011 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Balbir Singh <balbir@linux.vnet.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Tue, 22 Mar 2011 06:03:03 GMT) Full text and rfc822 format available.

Message #65 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: 534964@bugs.debian.org
Subject: Any updates on this BUG?
Date: Tue, 22 Mar 2011 11:31:43 +0530
Hi, Ben,

We've made significant progress in reducing the overhead of memory
cgroup subsystem. I'd request you to try it and enable it. If there
are some concerns, we could always address them. There are more
interesting changes on the way as well.

Balbir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Fri, 06 May 2011 15:57:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Eugene V Budnikov <debian@sandworm.pp.ru>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 06 May 2011 15:57:03 GMT) Full text and rfc822 format available.

Message #70 received at 534964@bugs.debian.org (full text, mbox):

From: Eugene V Budnikov <debian@sandworm.pp.ru>
To: 534964@bugs.debian.org
Subject: Another kernel package
Date: Fri, 6 May 2011 19:52:51 +0400
Hi,

What about linux-image-2.x.xx-cgroup-mem similar to the deprecated
linux-image-2.x.xx-vserver ?

---
WBR Eugene V Budnikov




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Wed, 11 May 2011 11:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Balbir Singh <balbir@linux.vnet.ibm.com>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 11:15:03 GMT) Full text and rfc822 format available.

Message #75 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: 534964@bugs.debian.org
Cc: ben@decadent.org.uk, maks@debian.org
Subject: Re: Any updates on this BUG?
Date: Wed, 11 May 2011 16:43:06 +0530
Hi,

Has anybody looked at this yet?

Balbir

On Tue, Mar 22, 2011 at 11:31 AM, Balbir Singh
<balbir@linux.vnet.ibm.com> wrote:
> Hi, Ben,
>
> We've made significant progress in reducing the overhead of memory
> cgroup subsystem. I'd request you to try it and enable it. If there
> are some concerns, we could always address them. There are more
> interesting changes on the way as well.
>
> Balbir
>




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Wed, 11 May 2011 11:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 11:36:03 GMT) Full text and rfc822 format available.

Message #80 received at 534964@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Balbir Singh <balbir@linux.vnet.ibm.com>, 534964@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Wed, 11 May 2011 11:33:31 +0000
On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> Hi,
> 
> Has anybody looked at this yet?
> 
> Balbir
> 
> On Tue, Mar 22, 2011 at 11:31 AM, Balbir Singh
> <balbir@linux.vnet.ibm.com> wrote:
> > Hi, Ben,
> >
> > We've made significant progress in reducing the overhead of memory
> > cgroup subsystem. I'd request you to try it and enable it. If there
> > are some concerns, we could always address them. There are more
> > interesting changes on the way as well.
> >
> > Balbir
> >

thanks for the notice, I'll just enable it for 2.6.39.

-- 
maks




Added tag(s) pending. Request was from Maximilian Attems <maks@alioth.debian.org> to control@bugs.debian.org. (Wed, 11 May 2011 11:42:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Wed, 11 May 2011 12:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Wed, 11 May 2011 12:09:05 GMT) Full text and rfc822 format available.

Message #87 received at 534964@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Balbir Singh <balbir@linux.vnet.ibm.com>, 534964@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Wed, 11 May 2011 12:08:11 +0000
On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > <balbir@linux.vnet.ibm.com> wrote:
> > > Hi, Ben,
> > >
> > > We've made significant progress in reducing the overhead of memory
> > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > are some concerns, we could always address them. There are more
> > > interesting changes on the way as well.

could you point to the relevant commits?
 
> thanks for the notice, I'll just enable it for 2.6.39.

did that for now, but aboves notice would be cool.

thanks

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Thu, 12 May 2011 11:54:27 GMT) Full text and rfc822 format available.

Acknowledgement sent to maximilian attems <maks@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Thu, 12 May 2011 11:54:32 GMT) Full text and rfc822 format available.

Message #92 received at 534964@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: Balbir Singh <balbir@linux.vnet.ibm.com>, 534964@bugs.debian.org
Cc: ben@decadent.org.uk
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Thu, 12 May 2011 11:53:25 +0000
On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > <balbir@linux.vnet.ibm.com> wrote:
> > > > Hi, Ben,
> > > >
> > > > We've made significant progress in reducing the overhead of memory
> > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > are some concerns, we could always address them. There are more
> > > > interesting changes on the way as well.
> 
> could you point to the relevant commits?

so unless this information comes along soon,
I'll revert my change.

cheers

-- 
maks




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Fri, 13 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 04:30:03 GMT) Full text and rfc822 format available.

Message #97 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: maximilian attems <maks@debian.org>
Cc: Balbir Singh <balbir@linux.vnet.ibm.com>, 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Fri, 13 May 2011 05:26:55 +0100
[Message part 1 (text/plain, inline)]
On Thu, 2011-05-12 at 11:53 +0000, maximilian attems wrote:
> On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > Hi, Ben,
> > > > >
> > > > > We've made significant progress in reducing the overhead of memory
> > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > are some concerns, we could always address them. There are more
> > > > > interesting changes on the way as well.
> > 
> > could you point to the relevant commits?
> 
> so unless this information comes along soon,
> I'll revert my change.

I prepared a patch to make memory cgroups built-in but disabled by
default (message #31).  The overhead then should be very small, but I
still haven't spent the time to measure it.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Fri, 13 May 2011 10:30:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to balbir@linux.vnet.ibm.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Fri, 13 May 2011 10:30:08 GMT) Full text and rfc822 format available.

Message #102 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: maximilian attems <maks@debian.org>
Cc: 534964@bugs.debian.org, ben@decadent.org.uk
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Fri, 13 May 2011 15:57:56 +0530
* maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:

> On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > Hi, Ben,
> > > > >
> > > > > We've made significant progress in reducing the overhead of memory
> > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > are some concerns, we could always address them. There are more
> > > > > interesting changes on the way as well.
> > 
> > could you point to the relevant commits?
> 
> so unless this information comes along soon,
> I'll revert my change.
>

There are just so many of them, I am not sure where to start. Let me
try 

From

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=history;f=mm/memcontrol.c;h=010f9166fa6ea099b7ab7b5ccdefe7af8cf033f4;hb=HEAD

http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commitdiff;h=483c30b514bd3037fa3f19fa42327c94c10f51c8
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=854ffa8d104e44111fec96764c0e0cb29223d54c
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=cdec2e4265dfa09490601b00aeabd8a8d4af30f0
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=569b846df54ffb2827b83ce3244c5f032394cba4
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=0c3e73e84fe3f64cf1c2e8bb4e91e8901cbcdc38
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=7ffd4ca7a2cdd7a18f0b499a4e9e0e7cf36ba018
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=5564e88ba6fd2f6dcd83a592771810cd84b5ae80
http://git.kernel.org/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=3403968d7a7dc373901cad0cad56b3afcb09cc50



 

-- 
	Three Cheers,
	Balbir




Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Fri, 20 May 2011 19:15:11 GMT) Full text and rfc822 format available.

Notification sent to Yoshito Komatsu <ykomatsu@akaumigame.org>:
Bug acknowledged by developer. (Fri, 20 May 2011 19:15:11 GMT) Full text and rfc822 format available.

Message #107 received at 534964-close@bugs.debian.org (full text, mbox):

From: maximilian attems <maks@debian.org>
To: 534964-close@bugs.debian.org
Subject: Bug#534964: fixed in linux-2.6 2.6.39-1
Date: Fri, 20 May 2011 19:10:47 +0000
Source: linux-2.6
Source-Version: 2.6.39-1

We believe that the bug you reported is fixed in the latest version of
linux-2.6, which is due to be installed in the Debian FTP archive:

linux-2.6_2.6.39-1.diff.gz
  to main/l/linux-2.6/linux-2.6_2.6.39-1.diff.gz
linux-2.6_2.6.39-1.dsc
  to main/l/linux-2.6/linux-2.6_2.6.39-1.dsc
linux-2.6_2.6.39.orig.tar.gz
  to main/l/linux-2.6/linux-2.6_2.6.39.orig.tar.gz
linux-doc-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-doc-2.6.39_2.6.39-1_all.deb
linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
linux-libc-dev_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-libc-dev_2.6.39-1_amd64.deb
linux-manual-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-manual-2.6.39_2.6.39-1_all.deb
linux-patch-debian-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-patch-debian-2.6.39_2.6.39-1_all.deb
linux-source-2.6.39_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-source-2.6.39_2.6.39-1_all.deb
linux-support-2.6.39-1_2.6.39-1_all.deb
  to main/l/linux-2.6/linux-support-2.6.39-1_2.6.39-1_all.deb
linux-tools-2.6.39_2.6.39-1_amd64.deb
  to main/l/linux-2.6/linux-tools-2.6.39_2.6.39-1_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 534964@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
maximilian attems <maks@debian.org> (supplier of updated linux-2.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 19 May 2011 15:34:37 +0200
Source: linux-2.6
Binary: linux-tools-2.6.39 linux-source-2.6.39 linux-doc-2.6.39 linux-manual-2.6.39 linux-patch-debian-2.6.39 linux-support-2.6.39-1 linux-libc-dev linux-headers-2.6.39-1-all linux-headers-2.6.39-1-all-alpha linux-headers-2.6.39-1-common linux-image-2.6.39-1-alpha-generic linux-headers-2.6.39-1-alpha-generic linux-image-2.6.39-1-alpha-smp linux-headers-2.6.39-1-alpha-smp linux-image-2.6.39-1-alpha-legacy linux-headers-2.6.39-1-alpha-legacy linux-headers-2.6.39-1-all-amd64 linux-image-2.6.39-1-amd64 linux-headers-2.6.39-1-amd64 linux-image-2.6.39-1-amd64-dbg linux-headers-2.6.39-1-all-armel linux-image-2.6.39-1-iop32x linux-headers-2.6.39-1-iop32x linux-image-2.6.39-1-ixp4xx linux-headers-2.6.39-1-ixp4xx linux-image-2.6.39-1-kirkwood linux-headers-2.6.39-1-kirkwood linux-image-2.6.39-1-orion5x linux-headers-2.6.39-1-orion5x linux-image-2.6.39-1-versatile linux-headers-2.6.39-1-versatile linux-headers-2.6.39-1-all-armhf linux-image-2.6.39-1-mx5 linux-headers-2.6.39-1-mx5
 linux-headers-2.6.39-1-all-hppa linux-image-2.6.39-1-parisc linux-headers-2.6.39-1-parisc linux-image-2.6.39-1-parisc-smp linux-headers-2.6.39-1-parisc-smp linux-image-2.6.39-1-parisc64 linux-headers-2.6.39-1-parisc64 linux-image-2.6.39-1-parisc64-smp linux-headers-2.6.39-1-parisc64-smp linux-headers-2.6.39-1-all-i386 linux-image-2.6.39-1-486 linux-headers-2.6.39-1-486 linux-image-2.6.39-1-686-pae linux-headers-2.6.39-1-686-pae linux-image-2.6.39-1-686-pae-dbg linux-headers-2.6.39-1-all-ia64 linux-image-2.6.39-1-itanium linux-headers-2.6.39-1-itanium linux-image-2.6.39-1-mckinley linux-headers-2.6.39-1-mckinley linux-headers-2.6.39-1-all-m68k linux-image-2.6.39-1-amiga linux-headers-2.6.39-1-amiga linux-image-2.6.39-1-atari linux-headers-2.6.39-1-atari linux-image-2.6.39-1-bvme6000 linux-headers-2.6.39-1-bvme6000 linux-image-2.6.39-1-mac linux-headers-2.6.39-1-mac linux-image-2.6.39-1-mvme147 linux-headers-2.6.39-1-mvme147 linux-image-2.6.39-1-mvme16x
 linux-headers-2.6.39-1-mvme16x linux-headers-2.6.39-1-all-mips linux-image-2.6.39-1-r4k-ip22 linux-headers-2.6.39-1-r4k-ip22 linux-image-2.6.39-1-r5k-ip32 linux-headers-2.6.39-1-r5k-ip32 linux-image-2.6.39-1-sb1-bcm91250a linux-headers-2.6.39-1-sb1-bcm91250a linux-image-2.6.39-1-sb1a-bcm91480b linux-headers-2.6.39-1-sb1a-bcm91480b linux-image-2.6.39-1-4kc-malta linux-headers-2.6.39-1-4kc-malta linux-image-2.6.39-1-5kc-malta linux-headers-2.6.39-1-5kc-malta linux-image-2.6.39-1-octeon linux-headers-2.6.39-1-octeon linux-headers-2.6.39-1-all-mipsel linux-image-2.6.39-1-r5k-cobalt linux-headers-2.6.39-1-r5k-cobalt linux-image-2.6.39-1-loongson-2f linux-headers-2.6.39-1-loongson-2f linux-headers-2.6.39-1-all-powerpc linux-image-2.6.39-1-powerpc linux-headers-2.6.39-1-powerpc linux-image-2.6.39-1-powerpc-smp linux-headers-2.6.39-1-powerpc-smp linux-image-2.6.39-1-powerpc64 linux-headers-2.6.39-1-powerpc64 linux-headers-2.6.39-1-all-ppc64 linux-headers-2.6.39-1-all-s390
 linux-image-2.6.39-1-s390x linux-headers-2.6.39-1-s390x linux-image-2.6.39-1-s390x-tape linux-headers-2.6.39-1-all-sh4 linux-image-2.6.39-1-sh7751r linux-headers-2.6.39-1-sh7751r linux-image-2.6.39-1-sh7785lcr linux-headers-2.6.39-1-sh7785lcr linux-headers-2.6.39-1-all-sparc linux-image-2.6.39-1-sparc64 linux-headers-2.6.39-1-sparc64 linux-image-2.6.39-1-sparc64-smp linux-headers-2.6.39-1-sparc64-smp
 linux-headers-2.6.39-1-all-sparc64
Architecture: source all amd64
Version: 2.6.39-1
Distribution: unstable
Urgency: low
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Changed-By: maximilian attems <maks@debian.org>
Description: 
 linux-doc-2.6.39 - Linux kernel specific documentation for version 2.6.39
 linux-headers-2.6.39-1-486 - Header files for Linux 2.6.39-1-486
 linux-headers-2.6.39-1-4kc-malta - Header files for Linux 2.6.39-1-4kc-malta
 linux-headers-2.6.39-1-5kc-malta - Header files for Linux 2.6.39-1-5kc-malta
 linux-headers-2.6.39-1-686-pae - Header files for Linux 2.6.39-1-686-pae
 linux-headers-2.6.39-1-all - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-alpha - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-amd64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-armel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-armhf - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-hppa - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-i386 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-ia64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-m68k - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-mips - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-mipsel - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-powerpc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-ppc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-s390 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sh4 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sparc - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-all-sparc64 - All header files for Linux 2.6.39 (meta-package)
 linux-headers-2.6.39-1-alpha-generic - Header files for Linux 2.6.39-1-alpha-generic
 linux-headers-2.6.39-1-alpha-legacy - Header files for Linux 2.6.39-1-alpha-legacy
 linux-headers-2.6.39-1-alpha-smp - Header files for Linux 2.6.39-1-alpha-smp
 linux-headers-2.6.39-1-amd64 - Header files for Linux 2.6.39-1-amd64
 linux-headers-2.6.39-1-amiga - Header files for Linux 2.6.39-1-amiga
 linux-headers-2.6.39-1-atari - Header files for Linux 2.6.39-1-atari
 linux-headers-2.6.39-1-bvme6000 - Header files for Linux 2.6.39-1-bvme6000
 linux-headers-2.6.39-1-common - Common header files for Linux 2.6.39-1
 linux-headers-2.6.39-1-iop32x - Header files for Linux 2.6.39-1-iop32x
 linux-headers-2.6.39-1-itanium - Header files for Linux 2.6.39-1-itanium
 linux-headers-2.6.39-1-ixp4xx - Header files for Linux 2.6.39-1-ixp4xx
 linux-headers-2.6.39-1-kirkwood - Header files for Linux 2.6.39-1-kirkwood
 linux-headers-2.6.39-1-loongson-2f - Header files for Linux 2.6.39-1-loongson-2f
 linux-headers-2.6.39-1-mac - Header files for Linux 2.6.39-1-mac
 linux-headers-2.6.39-1-mckinley - Header files for Linux 2.6.39-1-mckinley
 linux-headers-2.6.39-1-mvme147 - Header files for Linux 2.6.39-1-mvme147
 linux-headers-2.6.39-1-mvme16x - Header files for Linux 2.6.39-1-mvme16x
 linux-headers-2.6.39-1-mx5 - Header files for Linux 2.6.39-1-mx5
 linux-headers-2.6.39-1-octeon - Header files for Linux 2.6.39-1-octeon
 linux-headers-2.6.39-1-orion5x - Header files for Linux 2.6.39-1-orion5x
 linux-headers-2.6.39-1-parisc - Header files for Linux 2.6.39-1-parisc
 linux-headers-2.6.39-1-parisc-smp - Header files for Linux 2.6.39-1-parisc-smp
 linux-headers-2.6.39-1-parisc64 - Header files for Linux 2.6.39-1-parisc64
 linux-headers-2.6.39-1-parisc64-smp - Header files for Linux 2.6.39-1-parisc64-smp
 linux-headers-2.6.39-1-powerpc - Header files for Linux 2.6.39-1-powerpc
 linux-headers-2.6.39-1-powerpc-smp - Header files for Linux 2.6.39-1-powerpc-smp
 linux-headers-2.6.39-1-powerpc64 - Header files for Linux 2.6.39-1-powerpc64
 linux-headers-2.6.39-1-r4k-ip22 - Header files for Linux 2.6.39-1-r4k-ip22
 linux-headers-2.6.39-1-r5k-cobalt - Header files for Linux 2.6.39-1-r5k-cobalt
 linux-headers-2.6.39-1-r5k-ip32 - Header files for Linux 2.6.39-1-r5k-ip32
 linux-headers-2.6.39-1-s390x - Header files for Linux 2.6.39-1-s390x
 linux-headers-2.6.39-1-sb1-bcm91250a - Header files for Linux 2.6.39-1-sb1-bcm91250a
 linux-headers-2.6.39-1-sb1a-bcm91480b - Header files for Linux 2.6.39-1-sb1a-bcm91480b
 linux-headers-2.6.39-1-sh7751r - Header files for Linux 2.6.39-1-sh7751r
 linux-headers-2.6.39-1-sh7785lcr - Header files for Linux 2.6.39-1-sh7785lcr
 linux-headers-2.6.39-1-sparc64 - Header files for Linux 2.6.39-1-sparc64
 linux-headers-2.6.39-1-sparc64-smp - Header files for Linux 2.6.39-1-sparc64-smp
 linux-headers-2.6.39-1-versatile - Header files for Linux 2.6.39-1-versatile
 linux-image-2.6.39-1-486 - Linux 2.6.39 for older PCs
 linux-image-2.6.39-1-4kc-malta - Linux 2.6.39 for MIPS Malta
 linux-image-2.6.39-1-5kc-malta - Linux 2.6.39 for MIPS Malta (64-bit)
 linux-image-2.6.39-1-686-pae - Linux 2.6.39 for modern PCs
 linux-image-2.6.39-1-686-pae-dbg - Debugging infos for Linux 2.6.39-1-686-pae
 linux-image-2.6.39-1-alpha-generic - Linux 2.6.39 for Alpha
 linux-image-2.6.39-1-alpha-legacy - Linux 2.6.39 for Alpha Legacy
 linux-image-2.6.39-1-alpha-smp - Linux 2.6.39 for Alpha SMP
 linux-image-2.6.39-1-amd64 - Linux 2.6.39 for 64-bit PCs
 linux-image-2.6.39-1-amd64-dbg - Debugging infos for Linux 2.6.39-1-amd64
 linux-image-2.6.39-1-amiga - Linux 2.6.39 for Amiga
 linux-image-2.6.39-1-atari - Linux 2.6.39 for Atari
 linux-image-2.6.39-1-bvme6000 - Linux 2.6.39 for BVM BVME4000 and BVME6000
 linux-image-2.6.39-1-iop32x - Linux 2.6.39 for IOP32x
 linux-image-2.6.39-1-itanium - Linux 2.6.39 for Itanium
 linux-image-2.6.39-1-ixp4xx - Linux 2.6.39 for IXP4xx
 linux-image-2.6.39-1-kirkwood - Linux 2.6.39 for Marvell Kirkwood
 linux-image-2.6.39-1-loongson-2f - Linux 2.6.39 for Loongson 2F
 linux-image-2.6.39-1-mac - Linux 2.6.39 for Macintosh
 linux-image-2.6.39-1-mckinley - Linux 2.6.39 for Itanium II
 linux-image-2.6.39-1-mvme147 - Linux 2.6.39 for Motorola MVME147
 linux-image-2.6.39-1-mvme16x - Linux 2.6.39 for Motorola MVME162/6/7, MVME172/7
 linux-image-2.6.39-1-mx5 - Linux 2.6.39 for Freescale MXC/iMX-based
 linux-image-2.6.39-1-octeon - Linux 2.6.39 for Octeon
 linux-image-2.6.39-1-orion5x - Linux 2.6.39 for Marvell Orion
 linux-image-2.6.39-1-parisc - Linux 2.6.39 for 32-bit PA-RISC
 linux-image-2.6.39-1-parisc-smp - Linux 2.6.39 for multiprocessor 32-bit PA-RISC
 linux-image-2.6.39-1-parisc64 - Linux 2.6.39 for 64-bit PA-RISC
 linux-image-2.6.39-1-parisc64-smp - Linux 2.6.39 for multiprocessor 64-bit PA-RISC
 linux-image-2.6.39-1-powerpc - Linux 2.6.39 for uniprocessor 32-bit PowerPC
 linux-image-2.6.39-1-powerpc-smp - Linux 2.6.39 for multiprocessor 32-bit PowerPC
 linux-image-2.6.39-1-powerpc64 - Linux 2.6.39 for 64-bit PowerPC
 linux-image-2.6.39-1-r4k-ip22 - Linux 2.6.39 for SGI IP22
 linux-image-2.6.39-1-r5k-cobalt - Linux 2.6.39 for Cobalt
 linux-image-2.6.39-1-r5k-ip32 - Linux 2.6.39 for SGI IP32
 linux-image-2.6.39-1-s390x - Linux 2.6.39 for IBM zSeries
 linux-image-2.6.39-1-s390x-tape - Linux 2.6.39 for IBM zSeries, IPL from tape
 linux-image-2.6.39-1-sb1-bcm91250a - Linux 2.6.39 for BCM91250A
 linux-image-2.6.39-1-sb1a-bcm91480b - Linux 2.6.39 for BCM91480B
 linux-image-2.6.39-1-sh7751r - Linux 2.6.39 for sh7751r
 linux-image-2.6.39-1-sh7785lcr - Linux 2.6.39 for sh7785lcr
 linux-image-2.6.39-1-sparc64 - Linux 2.6.39 for uniprocessor 64-bit UltraSPARC
 linux-image-2.6.39-1-sparc64-smp - Linux 2.6.39 for multiprocessor 64-bit UltraSPARC
 linux-image-2.6.39-1-versatile - Linux 2.6.39 for Versatile
 linux-libc-dev - Linux support headers for userspace development
 linux-manual-2.6.39 - Linux kernel API manual pages for version 2.6.39
 linux-patch-debian-2.6.39 - Debian patches to version 2.6.39 of the Linux kernel
 linux-source-2.6.39 - Linux kernel source for version 2.6.39 with Debian patches
 linux-support-2.6.39-1 - Support files for Linux 2.6.39
 linux-tools-2.6.39 - Performance analysis tools for Linux 2.6.39
Closes: 534964 596626 623631
Changes: 
 linux-2.6 (2.6.39-1) unstable; urgency=low
 .
   [ maximilian attems ]
   * [x86] Enable CRYPTO_AES_NI_INTEL for all flavours. (closes: #623631)
   * topconfig: Enable SND_USB_6FIRE, SND_FIREWIRE_SPEAKERS,
     MEDIA_CONTROLLER, DVB_USB_TECHNISAT_USB2, USB_GSPCA_NW80X,
     USB_GSPCA_VICAM, XEN_WDT, LOOPBACK_TARGET.
   * [x86] Enable modular XEN_NETDEV_BACKEND.
   * topconfig enable mem cgroup RESOURCE_COUNTERS, CGROUP_MEM_RES_CTLR.
     (closes: #534964)
   * Cleanup configs.
 .
   [ Ben Hutchings ]
   * [!x86] Disable TPM drivers. TPMs are currently only fitted in PCs.
   * rt2800usb: Enable support for more USB devices including
     Linksys WUSB600N (Closes: #596626)
   * mm: Select SLAB allocator again. Although SLUB is currently the
     upstream default, this was set as an experiment rather than a
     recommendation! SLUB generally has poorer performance than SLAB on
     larger systems.
   * postinst: Remove specific support for running a ramdisk creator;
     warn users that specify one in /etc/kernel-img.conf
   * Require initramfs-tools >= 0.99, which installs a postinst hook
 .
   [ Arnaud Patard ]
   * [armel] Disable eeti touchscreen driver due to missing irq_to_gpio on
     several platforms.
Checksums-Sha1: 
 7e1349c39899ff090424849b3ab20073cf332b76 5174 linux-2.6_2.6.39-1.dsc
 fd0b6b1732d8caf08ebdba2546ca92ffd2d769a7 96339193 linux-2.6_2.6.39.orig.tar.gz
 2ad969d5eb7b3d81c5863b735294eb8503dbfac0 519934 linux-2.6_2.6.39-1.diff.gz
 115b09f1c9710c3872ec3f2b69825a149f0dd6ff 6854000 linux-doc-2.6.39_2.6.39-1_all.deb
 c3d6d2dc7eb51fbaa87c19cb4fbebecb9bdb59b8 3101996 linux-manual-2.6.39_2.6.39-1_all.deb
 93476039f0e7441c6db877224d032b59f7ccbdbf 309908 linux-patch-debian-2.6.39_2.6.39-1_all.deb
 48493d617a267b2c891b22d41b3cb38ed8065075 75357236 linux-source-2.6.39_2.6.39-1_all.deb
 1aba118ead6a9f0ed580eab42614072a874e31ea 173062 linux-support-2.6.39-1_2.6.39-1_all.deb
 d409021abd1e489ab700597b05429083de007afa 30452764 linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 c4cd80b424452881b4020b239ad60c1910991247 441050064 linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 63fdc01ee4b1c6b2a26a1d286f564c97c8044ee0 599190 linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 9e6bb916ce41cd0bcc72c45fc8303448a49d9e60 4429382 linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 2cb570862df23fb3982dbc1577034592a21a5292 156424 linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 dc7cee705054db3c008117b566a1cf03b0bf2ad2 156438 linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 9c12e041ae57305e1f53e03f2e00a0c3015315ec 913240 linux-libc-dev_2.6.39-1_amd64.deb
 04ea40dd08f01c39f020bb78a0717a3aad0efb02 514590 linux-tools-2.6.39_2.6.39-1_amd64.deb
Checksums-Sha256: 
 7ee798765802352f20f69054fa92905a3f14139c2fadc02371515f391672c2ca 5174 linux-2.6_2.6.39-1.dsc
 9c777cefde3bcd26a685e79df35210e7089c107173389588ee49fe9f0ad31442 96339193 linux-2.6_2.6.39.orig.tar.gz
 739ae53ebfc764d9307feb18d64beb135c19e3443c1802b1c992610d3c5e1fe3 519934 linux-2.6_2.6.39-1.diff.gz
 0443a911d9f8b023e4dcc830aa421820c84fdb279d400226ad92018173e9f68b 6854000 linux-doc-2.6.39_2.6.39-1_all.deb
 b019d563e391a885a3670b37febb12eec57e89057892affbe683bb8d656fa6a1 3101996 linux-manual-2.6.39_2.6.39-1_all.deb
 67dfd726c9f084fd511618d6dad63bce33a07a25dce24255f97f14a35c29d7b8 309908 linux-patch-debian-2.6.39_2.6.39-1_all.deb
 489117e001c3c60da813a93848c13bb11f9d7b3cc99f347a7c705ba0619d1ffe 75357236 linux-source-2.6.39_2.6.39-1_all.deb
 becfaebeee35f1885aa77dd600bbd99f2e58f2187daca8590c0d90c000854a7d 173062 linux-support-2.6.39-1_2.6.39-1_all.deb
 f998dbe622c6ede4787946d9040a8c4a8b2938cab478fe20b4bb7ba21d22396d 30452764 linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 c21906b9d4200190fd31c85ebe00eb85162513d697956762175a904671555388 441050064 linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 75f3254aae2ede7d558015e5665e66a8d09f89ce5975c855deff0818f74ce463 599190 linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 9d6809be3af788bd764c9f0b6047c6b3f0821ea2971fcaca629443ea763cedd7 4429382 linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 866da8742b9684000dd59bdf147f3fdda3ae95666a2889871b7b158402117aa4 156424 linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 1a0883ae2a3e87517a2b734bdf8ea540c867603bcf1dc3c2998f0d3784c6bd56 156438 linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 e7573d189204dbc07fee0816d30893351e381972b17ef6d5897c637d6feaedde 913240 linux-libc-dev_2.6.39-1_amd64.deb
 098c06408cbfb4f9bc7094a6ae23bbb9c314adc9dabc13155da6bddbdb015e72 514590 linux-tools-2.6.39_2.6.39-1_amd64.deb
Files: 
 d3599e7897ac8486bd29ac13c66a3f75 5174 kernel optional linux-2.6_2.6.39-1.dsc
 1df1a8016749be313a935d157233c206 96339193 kernel optional linux-2.6_2.6.39.orig.tar.gz
 cea02c7ec3cb8fb5473b56ffe52afb16 519934 kernel optional linux-2.6_2.6.39-1.diff.gz
 3489063174015f7f4674cb5284b8e995 6854000 doc optional linux-doc-2.6.39_2.6.39-1_all.deb
 9161f0b55e72f412c47c642918f34c49 3101996 doc optional linux-manual-2.6.39_2.6.39-1_all.deb
 0c1dbf95fa12df1ee28cc9c741eae4f9 309908 kernel optional linux-patch-debian-2.6.39_2.6.39-1_all.deb
 1dfdd71bbadea53f8063d3dafacc9c7b 75357236 kernel optional linux-source-2.6.39_2.6.39-1_all.deb
 210bc4cd1fcd94e8a9fcf95056098ce7 173062 devel optional linux-support-2.6.39-1_2.6.39-1_all.deb
 198373e63f48291e692ad3f5b35afbc2 30452764 kernel optional linux-image-2.6.39-1-amd64_2.6.39-1_amd64.deb
 61ce1891fee2947d6a6108f6e2c0f59a 441050064 debug extra linux-image-2.6.39-1-amd64-dbg_2.6.39-1_amd64.deb
 1e65d6609996c4299277bd92df6e19c1 599190 kernel optional linux-headers-2.6.39-1-amd64_2.6.39-1_amd64.deb
 ec71612d1036a4acd745d84b43f9b802 4429382 kernel optional linux-headers-2.6.39-1-common_2.6.39-1_amd64.deb
 14d760dc302f1ce75122c906ed19f790 156424 kernel optional linux-headers-2.6.39-1-all_2.6.39-1_amd64.deb
 709261048cf7abb9e90347218ff62b5b 156438 kernel optional linux-headers-2.6.39-1-all-amd64_2.6.39-1_amd64.deb
 ad81ff4d6de23b5d24ee7b308be38a67 913240 devel optional linux-libc-dev_2.6.39-1_amd64.deb
 d52d29a5c8cb60c9c29eef810f2d89bb 514590 kernel optional linux-tools-2.6.39_2.6.39-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAk3VL9AACgkQeW7Lc5tEHqiGPwCdFQW516p4tt5PeIGqb7MOqDx2
Y4AAn0HE4Y+UXVk0gzxo14YMU5xOLgQw
=Yzv5
-----END PGP SIGNATURE-----





Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Fri, 20 May 2011 19:15:12 GMT) Full text and rfc822 format available.

Notification sent to Brian Kroth <bpkroth@gmail.com>:
Bug acknowledged by developer. (Fri, 20 May 2011 19:15:12 GMT) Full text and rfc822 format available.

Reply sent to maximilian attems <maks@debian.org>:
You have taken responsibility. (Fri, 20 May 2011 19:15:12 GMT) Full text and rfc822 format available.

Notification sent to Rik Theys <rik.theys@esat.kuleuven.be>:
Bug acknowledged by developer. (Fri, 20 May 2011 19:15:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 07:00:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to balbir@linux.vnet.ibm.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 07:00:06 GMT) Full text and rfc822 format available.

Message #122 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: maximilian attems <maks@debian.org>
Cc: 534964@bugs.debian.org, ben@decadent.org.uk
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Fri, 20 May 2011 17:35:17 +0530
* maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:

> On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > Hi, Ben,
> > > > >
> > > > > We've made significant progress in reducing the overhead of memory
> > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > are some concerns, we could always address them. There are more
> > > > > interesting changes on the way as well.
> > 
> > could you point to the relevant commits?
> 
> so unless this information comes along soon,
> I'll revert my change.
>

I sent some information earlier, I hope it was useful. BTW, I don't
see memory cgroups enabled in debian experimental (changelog), should I be looking
elsewhere? 

-- 
	Three Cheers,
	Balbir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 07:15:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 07:15:07 GMT) Full text and rfc822 format available.

Message #127 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: balbir@linux.vnet.ibm.com, 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 00:10:13 -0700
[Message part 1 (text/plain, inline)]
On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> 
> > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > Hi, Ben,
> > > > > >
> > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > are some concerns, we could always address them. There are more
> > > > > > interesting changes on the way as well.
> > > 
> > > could you point to the relevant commits?
> > 
> > so unless this information comes along soon,
> > I'll revert my change.
> >
> 
> I sent some information earlier, I hope it was useful. BTW, I don't
> see memory cgroups enabled in debian experimental (changelog), should I be looking
> elsewhere? 

They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
be disabled by default, and that will be done in 2.6.39-2.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 07:15:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to balbir@linux.vnet.ibm.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 07:15:08 GMT) Full text and rfc822 format available.

Message #132 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 12:43:31 +0530
* Ben Hutchings <ben@decadent.org.uk> [2011-05-23 00:10:13]:

> On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> > * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> > 
> > > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > > Hi, Ben,
> > > > > > >
> > > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > > are some concerns, we could always address them. There are more
> > > > > > > interesting changes on the way as well.
> > > > 
> > > > could you point to the relevant commits?
> > > 
> > > so unless this information comes along soon,
> > > I'll revert my change.
> > >
> > 
> > I sent some information earlier, I hope it was useful. BTW, I don't
> > see memory cgroups enabled in debian experimental (changelog), should I be looking
> > elsewhere? 
> 
> They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
> be disabled by default, and that will be done in 2.6.39-2.
>

Oops, but why do you want to disable them by default? Other distros
have them enabled, disabled implies more boot options required, lesser
testing of the feature and feedback. Is there a strong reason to
change it? 



-- 
	Three Cheers,
	Balbir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 15:15:03 GMT) Full text and rfc822 format available.

Message #137 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: balbir@linux.vnet.ibm.com
Cc: 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 08:10:21 -0700
[Message part 1 (text/plain, inline)]
On Mon, 2011-05-23 at 12:43 +0530, Balbir Singh wrote:
> * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 00:10:13]:
> 
> > On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> > > * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> > > 
> > > > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > > > Hi, Ben,
> > > > > > > >
> > > > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > > > are some concerns, we could always address them. There are more
> > > > > > > > interesting changes on the way as well.
> > > > > 
> > > > > could you point to the relevant commits?
> > > > 
> > > > so unless this information comes along soon,
> > > > I'll revert my change.
> > > >
> > > 
> > > I sent some information earlier, I hope it was useful. BTW, I don't
> > > see memory cgroups enabled in debian experimental (changelog), should I be looking
> > > elsewhere? 
> > 
> > They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
> > be disabled by default, and that will be done in 2.6.39-2.
> >
> 
> Oops, but why do you want to disable them by default? Other distros
> have them enabled, disabled implies more boot options required, lesser
> testing of the feature and feedback. Is there a strong reason to
> change it? 

Yes, because it currently (2.6.39) requires extra page tables that take
time and memory.  I understand this is supposed to change soon, and we
can reconsider then.

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 15:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to balbir@linux.vnet.ibm.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 15:39:03 GMT) Full text and rfc822 format available.

Message #142 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 21:03:15 +0530
* Ben Hutchings <ben@decadent.org.uk> [2011-05-23 08:10:21]:

> On Mon, 2011-05-23 at 12:43 +0530, Balbir Singh wrote:
> > * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 00:10:13]:
> > 
> > > On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> > > > * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> > > > 
> > > > > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > > > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > > > > Hi, Ben,
> > > > > > > > >
> > > > > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > > > > are some concerns, we could always address them. There are more
> > > > > > > > > interesting changes on the way as well.
> > > > > > 
> > > > > > could you point to the relevant commits?
> > > > > 
> > > > > so unless this information comes along soon,
> > > > > I'll revert my change.
> > > > >
> > > > 
> > > > I sent some information earlier, I hope it was useful. BTW, I don't
> > > > see memory cgroups enabled in debian experimental (changelog), should I be looking
> > > > elsewhere? 
> > > 
> > > They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
> > > be disabled by default, and that will be done in 2.6.39-2.
> > >
> > 
> > Oops, but why do you want to disable them by default? Other distros
> > have them enabled, disabled implies more boot options required, lesser
> > testing of the feature and feedback. Is there a strong reason to
> > change it? 
> 
> Yes, because it currently (2.6.39) requires extra page tables that take
> time and memory.  I understand this is supposed to change soon, and we
> can reconsider then.
>

Sorry, I don't understand the extra page tables remark, that changed
way back in 2.6.30/1 timeframe. Could you please elaborate, so that I
can clarify the correct concern. 



-- 
	Three Cheers,
	Balbir




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 15:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ben Hutchings <ben@decadent.org.uk>:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 15:54:03 GMT) Full text and rfc822 format available.

Message #147 received at 534964@bugs.debian.org (full text, mbox):

From: Ben Hutchings <ben@decadent.org.uk>
To: balbir@linux.vnet.ibm.com
Cc: 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 08:51:00 -0700
[Message part 1 (text/plain, inline)]
On Mon, 2011-05-23 at 21:03 +0530, Balbir Singh wrote:
> * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 08:10:21]:
> 
> > On Mon, 2011-05-23 at 12:43 +0530, Balbir Singh wrote:
> > > * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 00:10:13]:
> > > 
> > > > On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> > > > > * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> > > > > 
> > > > > > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > > > > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > > > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > > > > > Hi, Ben,
> > > > > > > > > >
> > > > > > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > > > > > are some concerns, we could always address them. There are more
> > > > > > > > > > interesting changes on the way as well.
> > > > > > > 
> > > > > > > could you point to the relevant commits?
> > > > > > 
> > > > > > so unless this information comes along soon,
> > > > > > I'll revert my change.
> > > > > >
> > > > > 
> > > > > I sent some information earlier, I hope it was useful. BTW, I don't
> > > > > see memory cgroups enabled in debian experimental (changelog), should I be looking
> > > > > elsewhere? 
> > > > 
> > > > They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
> > > > be disabled by default, and that will be done in 2.6.39-2.
> > > >
> > > 
> > > Oops, but why do you want to disable them by default? Other distros
> > > have them enabled, disabled implies more boot options required, lesser
> > > testing of the feature and feedback. Is there a strong reason to
> > > change it? 
> > 
> > Yes, because it currently (2.6.39) requires extra page tables that take
> > time and memory.  I understand this is supposed to change soon, and we
> > can reconsider then.
> >
> 
> Sorry, I don't understand the extra page tables remark, that changed
> way back in 2.6.30/1 timeframe.

There's an array of page_cgroup structures, mirroring the page
structures.

> Could you please elaborate, so that I
> can clarify the correct concern. 

http://lwn.net/SubscriberLink/443241/75143317a94d9752/

Ben.

-- 
Ben Hutchings
Once a job is fouled up, anything done to improve it makes it worse.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Kernel Team <debian-kernel@lists.debian.org>:
Bug#534964; Package linux-2.6. (Mon, 23 May 2011 17:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to balbir@linux.vnet.ibm.com:
Extra info received and forwarded to list. Copy sent to Debian Kernel Team <debian-kernel@lists.debian.org>. (Mon, 23 May 2011 17:27:07 GMT) Full text and rfc822 format available.

Message #152 received at 534964@bugs.debian.org (full text, mbox):

From: Balbir Singh <balbir@linux.vnet.ibm.com>
To: Ben Hutchings <ben@decadent.org.uk>
Cc: 534964@bugs.debian.org
Subject: Re: Bug#534964: Any updates on this BUG?
Date: Mon, 23 May 2011 22:52:01 +0530
* Ben Hutchings <ben@decadent.org.uk> [2011-05-23 08:51:00]:

> On Mon, 2011-05-23 at 21:03 +0530, Balbir Singh wrote:
> > * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 08:10:21]:
> > 
> > > On Mon, 2011-05-23 at 12:43 +0530, Balbir Singh wrote:
> > > > * Ben Hutchings <ben@decadent.org.uk> [2011-05-23 00:10:13]:
> > > > 
> > > > > On Fri, 2011-05-20 at 17:35 +0530, Balbir Singh wrote:
> > > > > > * maximilian attems <maks@debian.org> [2011-05-12 11:53:25]:
> > > > > > 
> > > > > > > On Wed, May 11, 2011 at 12:08:10PM +0000, maximilian attems wrote:
> > > > > > > > On Wed, May 11, 2011 at 11:33:31AM +0000, maximilian attems wrote:
> > > > > > > > > On Wed, May 11, 2011 at 04:43:06PM +0530, Balbir Singh wrote:
> > > > > > > > > > <balbir@linux.vnet.ibm.com> wrote:
> > > > > > > > > > > Hi, Ben,
> > > > > > > > > > >
> > > > > > > > > > > We've made significant progress in reducing the overhead of memory
> > > > > > > > > > > cgroup subsystem. I'd request you to try it and enable it. If there
> > > > > > > > > > > are some concerns, we could always address them. There are more
> > > > > > > > > > > interesting changes on the way as well.
> > > > > > > > 
> > > > > > > > could you point to the relevant commits?
> > > > > > > 
> > > > > > > so unless this information comes along soon,
> > > > > > > I'll revert my change.
> > > > > > >
> > > > > > 
> > > > > > I sent some information earlier, I hope it was useful. BTW, I don't
> > > > > > see memory cgroups enabled in debian experimental (changelog), should I be looking
> > > > > > elsewhere? 
> > > > > 
> > > > > They're enabled in 2.6.39-1 (in sid).  However, I actually meant them to
> > > > > be disabled by default, and that will be done in 2.6.39-2.
> > > > >
> > > > 
> > > > Oops, but why do you want to disable them by default? Other distros
> > > > have them enabled, disabled implies more boot options required, lesser
> > > > testing of the feature and feedback. Is there a strong reason to
> > > > change it? 
> > > 
> > > Yes, because it currently (2.6.39) requires extra page tables that take
> > > time and memory.  I understand this is supposed to change soon, and we
> > > can reconsider then.
> > >
> > 
> > Sorry, I don't understand the extra page tables remark, that changed
> > way back in 2.6.30/1 timeframe.
> 
> There's an array of page_cgroup structures, mirroring the page
> structures.
> 
> > Could you please elaborate, so that I
> > can clarify the correct concern. 
> 
> http://lwn.net/SubscriberLink/443241/75143317a94d9752/
>

Yes, but that is not page tables, that is struct page mirroring. That
uses less than 1% (about 0.7%) of the total memory, is that too bad?



-- 
	Three Cheers,
	Balbir




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 27 Sep 2011 07:32:30 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 20:05:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.